commit:     fecd72d6ae326b469ba06b0a97e9b3833f6551c6
Author:     Ming Dai <radaiming <AT> gmail <DOT> com>
AuthorDate: Mon Mar 28 08:46:11 2016 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Mon Mar 28 13:16:37 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fecd72d6

dev-python/aiohttp: version bump to 0.21.5

Package-Manager: portage-2.2.26
Closes: https://github.com/gentoo/gentoo/pull/1152

 dev-python/aiohttp/Manifest              |  1 +
 dev-python/aiohttp/aiohttp-0.21.5.ebuild | 52 ++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/aiohttp/Manifest b/dev-python/aiohttp/Manifest
index 80f8951..e66633c 100644
--- a/dev-python/aiohttp/Manifest
+++ b/dev-python/aiohttp/Manifest
@@ -1,3 +1,4 @@
 DIST aiohttp-0.19.0.tar.gz 2173954 SHA256 
9bfb173baec179431a1c8f3566185e8ebbd1517cf4450217087d79e26e44c287 SHA512 
4e20d9e4eac4bd11538faa8a2b9ad6d65b432cb0bc468b851aebc32b6ac15417e65bf68c5801efb2911562f63ba2cd3da31e9cb8347e5aa8f840ba91a986061f
 WHIRLPOOL 
9db94601eec1ff2b5bdbcf04b662a3f7f7d04c24f742d30244bc90d5390f9ae1c303c8de3a0ad253ff7aa068f07a9e439fb0ccadb80db1ba57f6ac3620a1621b
 DIST aiohttp-0.20.2.tar.gz 513968 SHA256 
8801d36d760514ba8404d2c0309a7ecc3a838b85dad3e63e863b44a3116cf02b SHA512 
378b867ed531a1f30079b9a42d4000b82efe997b1e1bee3f1c76973712eabf973da74b37b969d43929f18a8b99ac004a22c4b7849bed1f00fe2f88c0bfbcdddb
 WHIRLPOOL 
8853c2c5f8efde97caff2ba99ef44e505dc82a206ecc51028c7db1b95c4232d436acb9109794ca259e4423d83238569f8df7bdfe81f3131321cebbde00f1d068
 DIST aiohttp-0.21.4.tar.gz 528945 SHA256 
4a5fcb765bf6d2cbc7d42afedf3d22b9cd0a4d643a870b464ca5b071225976d8 SHA512 
e9abc66e1f6ba81b94ef5a528e3bca58434f6d30242967a6b69e66ea164a31d076dbd2159b464c6a59c219483e81febfba986066863f6a3811ff0dc8a51adb64
 WHIRLPOOL 
d9f26b397b63d18e32cc754c75078e97cb6b4d3e2400ade75d91f86890e82407302bc2d55e2a30fe8d2bee7dd99fef16e528cf2c9668998662049543a671da66
+DIST aiohttp-0.21.5.tar.gz 529005 SHA256 
bac5c883721e0818e405597d2778f08a38cc097df01f574462de2cc4f8090559 SHA512 
4958d7c58988a95fc5b1e94e4eb7247f59b55e5ba439391c7b072a7ec267491159e1c8c7c6f05e6f7f72e4de5c12784c8d437665c01e6d9fb1e87a3334c1d35c
 WHIRLPOOL 
135368db11316c8f99f39bbf317f791e433a779f61e45070166bab12b4e97165d2c6e732e8da96a848b431c1f26de45e416009bca4e75456025187ea7a41e04e

diff --git a/dev-python/aiohttp/aiohttp-0.21.5.ebuild 
b/dev-python/aiohttp/aiohttp-0.21.5.ebuild
new file mode 100644
index 0000000..ab8be7d
--- /dev/null
+++ b/dev-python/aiohttp/aiohttp-0.21.5.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python3_4 )
+
+inherit distutils-r1
+
+DESCRIPTION="http client/server for asyncio"
+HOMEPAGE="https://github.com/KeepSafe/aiohttp 
https://pypi.python.org/pypi/aiohttp";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples test"
+
+CDEPEND="dev-python/chardet[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/cython[${PYTHON_USEDEP}]
+       doc? (
+               >=dev-python/alabaster-0.6.2[${PYTHON_USEDEP}]
+               dev-python/sphinxcontrib-newsfeed[${PYTHON_USEDEP}]
+               dev-python/sphinxcontrib-spelling[${PYTHON_USEDEP}]
+               dev-python/sphinx[${PYTHON_USEDEP}]
+       )
+       test? (
+               ${CDEPEND}
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-raisesregexp[${PYTHON_USEDEP}]
+               www-servers/gunicorn[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="${CDEPEND}"
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       PYTHONPATH="$(PWD):${PYTHONPATH}" ${PYTHON} -m pytest tests/ || die 
"Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       use examples && local EXAMPLES=( examples/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to